      SUBROUTINE REAKEY (LU,KEYWRD)
      CHARACTER*(*) KEYWRD
      CHARACTER*80 LINE
      READ (LU,'(A80)',END=3010,ERR=3020) LINE
      LKEY = LEN(KEYWRD)
      IF (LINE(1:LKEY) .NE. KEYWRD) GOTO 3030
      RETURN
 3010 WRITE (*,1010) KEYWRD
 1010 FORMAT (' End of file reading: ',A)
      STOP
 3020 WRITE (*,1020) KEYWRD
 1020 FORMAT (' Error reading: ',A)
      STOP
 3030 WRITE (*,1030) LINE, KEYWRD
      STOP
 1030 FORMAT (' Found:',/,1X,A80,/,'while expecting:',A)
      END
